- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.issueModels/import#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.issueModels/import#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.issueModels/import#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.issueModels/import#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.issueModels/import#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.issueModels/import#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.issueModels/import#body.aspect_1)
- [GcsSource](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.issueModels/import#GcsSource)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.issueModels/import#GcsSource.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.issueModels/import#try-it)

Imports an issue model from a Cloud Storage bucket.

### HTTP request

`POST https://{endpoint}/v1alpha1/{parent=projects/*/locations/*}/issueModels:import`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the issue model. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "createNewModel": boolean, // Union field `Source` can be only one of the following: "gcsSource": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.issueModels/import#GcsSource`) } // End of list of possible types for union field `Source`. } ``` |

| Fields ||
|---|---|
| `createNewModel` | `boolean` Optional. If set to true, will create an issue model from the imported file with randomly generated IDs for the issue model and corresponding issues. Otherwise, replaces an existing model with the same ID as the file. |
| Union field `Source`. `Source` can be only one of the following: ||
| `gcsSource` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.issueModels/import#GcsSource`)`` Google Cloud Storage source message. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `parent` resource:

- `contactcenterinsights.issueModels.create`
- `contactcenterinsights.issueModels.import`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## GcsSource

Google Cloud Storage Object URI to get the issue model file from.

| JSON representation |
|---|
| ``` { "objectUri": string } ``` |

| Fields ||
|---|---|
| `objectUri` | `string` Required. Format: `gs://<bucket-name>/<object-name>` |